### Method

# WebKit2WebExtension DOMKeyboardEvent init_keyboard_event

#### Declaration [src]

    void
    webkit_dom_keyboard_event_init_keyboard_event (
      WebKitDOMKeyboardEvent* self,
      const gchar* type,
      gboolean canBubble,
      gboolean cancelable,
      WebKitDOMDOMWindow* view,
      const gchar* keyIdentifier,
      gulong location,
      gboolean ctrlKey,
      gboolean altKey,
      gboolean shiftKey,
      gboolean metaKey,
      gboolean altGraphKey
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`type` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`canBubble` | `gboolean`
| A #gboolean.
`cancelable` | `gboolean`
| A #gboolean.
`view` | `WebKitDOMDOMWindow`
| A `WebKitDOMDOMWindow`.
| The data is owned by the caller of the function.
`keyIdentifier` | `const gchar*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`location` | `gulong`
| A #gulong.
`ctrlKey` | `gboolean`
| A #gboolean.
`altKey` | `gboolean`
| A #gboolean.
`shiftKey` | `gboolean`
| A #gboolean.
`metaKey` | `gboolean`
| A #gboolean.
`altGraphKey` | `gboolean`
| A #gboolean.